import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'

// 新增合作单位(教学点)
export function cooperationOrganAdd (data) {
  return request({
    url: api + '/cooperationOrgan/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 修改合作单位(教学点)
export function cooperationOrganUpdate (data) {
  return request({
    url: api + '/cooperationOrgan/update',
    method: 'put',
    data: qs.stringify(data)
  })
}

// 删除合作单位(教学点)
export function cooperationOrganDel (data) {
  return request({
    url: api + `/cooperationOrgan/del/${data}`,
    method: 'post'
  })
}

// 分页查询合作单位(教学点)列表
export function queryPage (data) {
  return request({
    url: api + '/cooperationOrgan/queryPage',
    method: 'get',
    params: data
  })
}

// 根据机构编号获取合作单位(教学点)列表
export function queryByOrganId (data) {
  return request({
    url: api + '/cooperationOrgan/queryByOrganId',
    method: 'get',
    params: data
  })
}

// 分页查询教学点
export function schoolQueryPage (data) {
  return request({
    url: api + '/school/queryPage',
    method: 'get',
    params: data
  })
}
// 新增教学点
export function schoolAdd (data) {
  return request({
    url: api + '/school/add',
    method: 'post',
    data: qs.stringify(data)
  })
}
// 修改教学点
export function schoolUpdate (data) {
  return request({
    url: api + '/school/update',
    method: 'post',
    data: qs.stringify(data)
  })
}
// 修改教学点
export function schoolDel (data) {
  return request({
    url: api + `/school/del/${data.id}`,
    method: 'post'
  })
}

// 根据部门获取下面的员工
export function queryEmployByOrganId (data) {
  return request({
    url: api + `/employee/queryEmployByOrganId`,
    method: 'get',
    params: data
  })
}

// 新增员工
export function employeeAdd (data) {
  return request({
    url: api + `/employee/add`,
    method: 'post',
    data: data
  })
}
// 修改员工
export function employeeUpdate (data) {
  return request({
    url: api + `/employee/update`,
    method: 'post',
    data: data
  })
}

// 获取用户角色列表
export function getUserRole (data) {
  return request({
    url: `/api-auth/role/queryPage`,
    method: 'get',
    params: data
  })
}

// 员工操作
export function employeeOperate (data) {
  return request({
    url: api + '/employee/employeeOperate',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 分页查询角色列表
export function roleQueryPage (data) {
  return request({
    url: `/api-auth/role/queryPage`,
    method: 'get',
    params: data
  })
}

// 根据角色编号查询拥有的菜单列表
export function roleGetMenus (data) {
  return request({
    url: `/api-auth/role/getMenus`,
    method: 'get',
    params: data
  })
}

// 根据权限id查询角色
export function getRoleInfo (data) {
  return request({
    url: `/api-auth/role/${data.id}`,
    method: 'get'
  })
}

// 修改角色
export function roleUpdate (data) {
  return request({
    url: `/api-auth/role/update`,
    method: 'post',
    data: data
  })
}

// 添加角色
export function roleAdd (data) {
  return request({
    url: `/api-auth/role/add`,
    method: 'post',
    data: data
  })
}

// 查询规则列表
export function courseScheduleRewards (data) {
  return request({
    url: api + `/courseScheduleRewards/queryPage`,
    method: 'get',
    params: data
  })
}

// 单查询
export function courseScheduleRewardsQuery (data) {
  return request({
    url: api + `/courseScheduleRewards/query`,
    method: 'get',
    params: data
  })
}

// 添加
export function courseScheduleRewardsAdd (data) {
  return request({
    url: api + `/courseScheduleRewards/add`,
    method: 'post',
    data: qs.stringify(data)
  })
}

// 修改
export function courseScheduleRewardsUpdate (data) {
  return request({
    url: api + `/courseScheduleRewards/update`,
    method: 'post',
    data: qs.stringify(data)
  })
}

// 分页查询热词列表
export function hotWordLabelManage (data) {
  return request({
    url: api + `/hotWordLabelManage/queryPage`,
    method: 'get',
    params: data
  })
}

// 新增热词标签
export function hotWordLabelManageAdd (data) {
  return request({
    url: api + `/hotWordLabelManage/add`,
    method: 'post',
    data: qs.stringify(data)
  })
}

// 修改热词标签
export function hotWordLabelManageUpdate (data) {
  return request({
    url: api + `/hotWordLabelManage/update`,
    method: 'post',
    data: qs.stringify(data)
  })
}

// 删除热词标签
export function hotWordLabelManageDel (data) {
  return request({
    url: api + `/hotWordLabelManage/del/${data}`,
    method: 'post'
  })
}

// 根据机构编号获取学校列表
export function getSchool (data) {
  return request({
    url: api + `/school/queryByOrganId`,
    method: 'get',
    params: data
  })
}

// 分页查询支付配置列表
export function paymentConfigQueryPage (data) {
  return request({
    url: api + '/paymentConfig/queryPage',
    method: 'get',
    params: data
  })
}

// 根据支付配置编号查询支付配置
export function paymentConfigGet (data) {
  return request({
    url: api + '/paymentConfig/get/' + data.id,
    method: 'get',
  })
}

// 新增支付配置
export function paymentConfigAdd (data) {
  return request({
    url: api + '/paymentConfig/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 修改支付配置
export function paymentConfigUpdate (data) {
  return request({
    url: api + '/paymentConfig/update',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 删除支付配置
export function paymentConfigDel (data) {
  return request({
    url: api + '/paymentConfig/del/' + data.id,
    method: 'post'
  })
}

// 根据分部查询老师
export function findTeacherByOrganId (data) {
  return request({
    url: api + '/teacher/findTeacherByOrganId',
    method: 'get',
    params: data
  })
}

// 获取版本控制列表
export function appVersionInfo (data) {
  return request({
    url: api + '/appVersionInfo/list',
    method: 'get',
    params: data
  })
}

// 新增版本管理
export function addAppVersionInfo (data) {
  return request({
    url: api + '/appVersionInfo/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 修改版本管理
export function resetAppVersionInfo (data) {
  return request({
    url: api + '/appVersionInfo/update',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 判断该用户是否是乐团主管关联的学生乐团 employee/hasCourseGroupRelation
export function hasCourseGroupRelation (data) {
  return request({
    url: api + '/employee/hasCourseGroupRelation',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 乐团主管转移课程

export function updateEducationTeacherId (data) {
  return request({
    url: api + '/employee/updateEducationTeacherId',
    method: 'post',
    data: qs.stringify(data)
  })
}
